%global momorel 2

%if %{?WITH_SELINUX:0}%{!?WITH_SELINUX:1}
%define WITH_SELINUX 1
%endif
%if %{?WITH_AUDIT:0}%{!?WITH_AUDIT:1}
%define WITH_AUDIT 1
%endif

Summary: The passwd utility for setting/changing passwords using PAM.
Name: passwd
Version: 0.74
Release: %{momorel}m%{?dist}
License: BSD
Group: System Environment/Base
Source: passwd-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: pam >= 0.78
%if %{WITH_SELINUX}
BuildRequires: libselinux-devel
%endif
BuildPreReq: glib2-devel, libuser-devel, pam-devel, libuser >= 0.53-1
BuildRequires: gettext
%if %{WITH_AUDIT}
BuildRequires: audit-libs-devel >= 1.0.14
Requires: audit-libs >= 1.0.14
%endif

%description
The passwd package contains a system utility (passwd) which sets
and/or changes passwords, using PAM (Pluggable Authentication
Modules).

To use passwd, you should have PAM installed on your system.

%prep
%setup -q

%build
%configure
make DEBUG= RPM_OPT_FLAGS="%{optflags}"
%if %{WITH_SELINUX}
	WITH_SELINUX=yes
%endif

%install
%__rm -rf %{buildroot}
%makeinstall
strip %{buildroot}%{_bindir}/passwd
%__install -m 755 -d %{buildroot}/etc/pam.d/
%__install -m 644 passwd.pamd %{buildroot}/etc/pam.d/passwd
%find_lang %{name}

# remove conflicted files with util-linux
%__rm -f %{buildroot}%{_bindir}/chfn
%__rm -f %{buildroot}%{_bindir}/chsh
%__rm -f %{buildroot}%{_mandir}/man1/chfn.1*
%__rm -f %{buildroot}%{_mandir}/man1/chsh.1*

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog
%config(noreplace) /etc/pam.d/passwd
%attr(4511,root,root) %{_bindir}/passwd
%{_mandir}/man1/passwd.1*

%ChangeLog
* Mon Jun 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.74-2m)
- modify Requires

* Mon Jun 18 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.74-1m)
- rebuild against pam-0.99.7-1m
- update to 0.74

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (0.68-2m)
- revised spec for rpm 4.2.

* Tue Aug  5 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.68-1m)
- update to 0.68
- use %%{momorel}, %%make, %%makeinstall
- remove Requires: pwdb >= 0.58
- Source from RawHide (0.68-4)
- add %%doc

* Sat Nov 16 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (0.67-3m)
- add BuildPrereq glib-devel, libuser-devel, pam-devel

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (0.67-2k)
- ver up.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (0.64.1-8k)

* Fri Jul  6 2001 Toru Hoshina <toru@df-usa.com>
- (0.64.1-7k)
- revised passwd.pamd.

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sun Apr 09 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (0.64.1-1).

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- fix manpage links

* Fri Feb 04 2000 Nalin Dahyabhai <nalin@redhat.com>
- document --stdin in man page
- fix for gzipped man pages

* Sun Jan 16 2000 Takaaki Tabuchi <tab@kondara.org>
- be able to rebuild non-root user.

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sat Apr 10 1999 Cristian Gafton <gafton@redhat.com>
- first build from the new source code base.
